﻿@model List<ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua>

@*@{
        ViewBag.Title = "NhatKyVanHanhVaSuaChua";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }*@
@{
    int CXL = (int)ContosoUniversity.Common.TrangThaiXuLy.CXL;
    int DHT = (int)ContosoUniversity.Common.TrangThaiXuLy.DHT;
    int DSC = (int)ContosoUniversity.Common.TrangThaiXuLy.DSC;
    int KH = (int)ContosoUniversity.Common.TrangThaiXuLy.KH;


}
<script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
<style>

    ul, #myUL-DSNhatKyVanHanh {
        list-style-type: none;
    }

    #myUL-DSNhatKyVanHanh {
        margin: 0;
        padding: 0;
    }

    .create-DSNhatKyVanHanh-caret {
        cursor: pointer;
        -webkit-user-select: none; /* Safari 3.1+ */
        -moz-user-select: none; /* Firefox 2+ */
        -ms-user-select: none; /* IE 10+ */
        user-select: none;
    }

        .create-DSNhatKyVanHanh-caret:before {
            content: "\25B6";
            color: black;
            display: inline-block;
            margin-right: 6px;
        }

    .caret-down-DSNhatKyVanHanh::before {
        -ms-transform: rotate(90deg); /* IE 9 */
        -webkit-transform: rotate(90deg); /* Safari */
        transform: rotate(90deg);
    }

    .create-DSNhatKyVanHanh-nested {
        display: none;
    }

    .active-DSNhatKyVanHanh {
        display: block;
    }
    /*.tr-create {
        display: table-row;
        vertical-align: inherit;
        border-color: white !important;
    }*/
    .tableborderless-DSNhatKyVanHanh tr td {
        border: none !important;
    }

    .div-create-DSNhatKyVanHanh-new {
        border: 2px solid #f5f5f5;
        /* box-shadow: 0 0 10px 0 #0094ff; */
        border-radius: 6px;
    }

    .fiedset-item {
        height: 140px;
        border: 1px solid;
        margin-left: 20px;
        background-color: #ffffd8;
    }

    .item {
        width: 25%;
    }
    /*chỉnh sửa*/
    .active-addnhatky {
        display: block;
    }

    #DetailsSuCo {
        cursor: pointer;
    }
    .button_edit_delete{
        width: 50%
    }
    /*mobile: width <740px*/
    @@media only screen and (max-width: 46.1875em) {
        .tableborderless-DSNhatKyVanHanh tr {
            display: contents;
            /*border: solid red*/
        }

        .tableborderless-DSNhatKyVanHanh td {
            display: block;
        }

        .item {
            width: 100%;
        }

        .fiedset-item {
            margin-left: 0px;
        }

        .create-DSNhatKyVanHanh-nested {
            padding-left: 0px;
        }
        .button_edit_delete {
            width: 79%
        }
    }
    /*tablet: width >=740px and width < 1024px*/
    @@media only screen and (min-width : 46.25em) and (max-width: 63.9375em) {
        .create-DSNhatKyVanHanh-nested {
            padding-left: 0px;
        }
    }

    .exportExcel_NhatKy {
        background: linear-gradient(to bottom, #33a6cc 50%,#0099cc 50%);
    }
</style>
@*Table danh sách sự cố*@
<style>
    #customers {
        font-family: Arial, Helvetica, sans-serif;
        border-collapse: collapse;
        width: 100%;
    }

        #customers td, #customers th {
            border: 1px solid #ddd;
            padding: 8px;
        }

        #customers tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        #customers tr:hover {
            background-color: #ddd;
        }

        #customers th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #299be4;
            color: white;
        }

    .status {
        font-size: 30px;
        margin: 2px 2px 0 0;
        display: inline-block;
        vertical-align: middle;
        line-height: 10px;
    }

    .text-success {
        color: #10c469;
    }

    .text-info {
        color: #62c9e8;
    }

    .text-warning {
        color: #FFC107;
    }

    .text-danger {
        color: #ff5b5b;
    }

    td:last-child > a {
        margin-left: 5px;
    }
</style>
<hr />
<table>
    <tr>
        <td style="width: 65%">
            <h4>DANH SÁCH NHẬT KÝ ĐÃ TẠO</h4>
        </td>

        <td>
            @*@Html.ActionLink("Xuất Excel", "ExportExcel", "Nhatkyvanhanhs", new {ngayTaoFilter = ViewBag.NgayTaoFilter }, new { @class = "btn btn-primary gradient exportExcel_NhatKy", @style = "float: right; width:auto;" })*@
            <a class="btn btn-primary gradient-export" href="@Url.Action("ExportExcel", "Nhatkyvanhanhs", new {ngayTaoFilter = ViewBag.NgayTaoFilter })" style="float: right; width: auto;">
                <i class="fa-solid fa-file-excel"></i> Xuất Excel
            </a>
        </td>

    </tr>
</table>

<div class="create-nhatky">
    <ul id="myUL-DSNhatKyVanHanh">

        @*Danh sách Nhật Ký*@
        @foreach (var item in Model)
        {
            <li>
                <span class="create-DSNhatKyVanHanh-caret" style="width:auto">
                    NK-@item.IDNhatKy
                    @if (item.DanhSachSuCo.Count() > 0)
                    {
                        <span style="color: red" class="glyphicon glyphicon-exclamation-sign"></span>
                    }
                </span>

                <ul class="create-DSNhatKyVanHanh-nested">
                    <li>
                        <div class="div-create-DSNhatKyVanHanh-new">
                            <table class="table tableborderless-DSNhatKyVanHanh">
                                <tr class="">
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px"*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Lưu lượng</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Vào(m<sup>3</sup>/h): </span>
                                                                @item.LuuLuongVao
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Ra(m<sup>3</sup>/h): </span>
                                                                @item.LuuLuongRa
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>

                                            </fieldset>

                                        </div>
                                    </td>
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px; "*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Tiêu thụ điện</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Chỉ số(Kwh): </span>
                                                                @item.ChiSoTieuThuDien
                                                            </div>
                                                        </td>


                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Khối lượng(Kwh): </span>
                                                                @item.KhoiLuongTieuThuDien
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </div>
                                    </td>
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px; "*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Polymer</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Vào(Kg): </span>
                                                                @item.PolymerVao
                                                            </div>
                                                        </td>


                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Ra(Kg): </span>
                                                                @item.PolymerRa
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Tồn(Kg): </span>
                                                                @item.PolymerTon
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </div>
                                    </td>
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px; "*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Phá bọt</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Vào(Kg): </span>
                                                                @item.PhaBotVao
                                                            </div>
                                                        </td>


                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Ra(Kg): </span>
                                                                @item.PhaBotRa
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Tồn(Kg): </span>
                                                                @item.PhaBotTon
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </div>
                                    </td>
                                </tr>
                                <tr class="">
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px"*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">NaOH</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Vào(Kg): </span>
                                                                @item.NaOHVao
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Ra(Kg): </span>
                                                                @item.NaOHRa
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Tồn(Kg): </span>
                                                                @item.NaOHTon
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>

                                            </fieldset>

                                        </div>
                                    </td>
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px; "*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">NPK</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Vào(Kg): </span>
                                                                @item.NPKVao
                                                            </div>
                                                        </td>

                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Ra(Kg): </span>
                                                                @item.NPKRa
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Tồn(Kg): </span>
                                                                @item.NPKTon
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </div>
                                    </td>
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px; "*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Ure</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Vào(Kg): </span>
                                                                @item.UreVao
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Ra(Kg): </span>
                                                                @item.UreRa
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Tồn(Kg): </span>
                                                                @item.UreTon
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </div>
                                    </td>
                                    <td class="item" @*style="width:25%"*@>
                                        <div class="">
                                            <fieldset class="fiedset-item" @*style="border: 1px solid; margin-left:20px; "*@>
                                                <legend class="legend-item" style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Mật rỉ</b></legend>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Vào(Kg): </span>
                                                                @item.MatRiVao
                                                            </div>
                                                        </td>


                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Ra(Kg): </span>
                                                                @item.MatRiRa
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <div class="">
                                                                <span style="font-weight: bold">Tồn(Kg): </span>
                                                                @item.MatRiTon
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" style="width:50%">
                                        <div class="">
                                            @*<span style="font-weight: bold">Ghi nhận bất thường: </span>
                                                @item.GhiNhanSuCo*@
                                            <span style="font-weight: bold">Người trực: </span>
                                            @item.NguoiTruc
                                        </div>
                                    </td>
                                    @*<td style="width:25%">
                                        <div class="">
                                           
                                        </div>
                                    </td>*@
                                    <td colspan="2" class="button_edit_delete" @*style="width:50%"*@>

                                        <div class="">

                                            <a class="btn btn-primary gradient-addNew" href="javascript:EditNhatKyVanHanh(@item.IDNhatKy)" id="EditKyVanHanh" style="float: right; width:80px;">
                                                <i class="fa-solid fa-edit"></i> Sửa
                                            </a>
                                            @*<input type="submit" onclick="EditNhatKyVanHanh(@item.IDNhatKy)" id="EditKyVanHanh" value="Sửa" style="float: right; width:80px;" class="btn btn-primary" />*@
                                        </div>
                                        @if (Session["role"] != null)
                                        {
                                            if (Session["role"].ToString().Contains("Admin"))
                                            {
                                                <div class="">

                                                    <a class="btn btn-primary gradient-addNew" href="javascript:DeleteNhatKyVanHanh(@item.IDNhatKy)" id="DeleteKyVanHanh" style="float: right; width: 80px; margin-right: 10px;">
                                                        <i class="fa fa-trash"></i> Xóa
                                                    </a>
                                                </div>
                                            }
                                        }
                                        
                                    </td>
                                </tr>
                            </table>
                        </div>

                    </li>
                    <li>
                        @if (item.DanhSachSuCo.Count() > 0)
                        {
                            @*Danh sách sự cố*@
                            <span class="create-DSNhatKyVanHanh-caret" style="width:auto">Danh sách sự cố</span>
                            <ul class="create-DSNhatKyVanHanh-nested">
                                <li>

                                    @*chỉnh sửa thành talble*@
                                    <table @*class="table"*@ id="customers">
                                        <tr>

                                            <th>
                                                ID
                                            </th>

                                            <th>
                                                Thời gian xảy ra sự cố
                                            </th>

                                            <th>
                                                Mô tả sự cố
                                            </th>

                                            <th>
                                                Cách khắc phục
                                            </th>

                                            <th>
                                                Trạng thái xử lý
                                            </th>

                                            <th style="width: 115px;"></th>


                                        </tr>

                                        @foreach (var dsSuCo in item.DanhSachSuCo)
                                        {
                                            <tr>
                                                <td>
                                                    @Html.DisplayFor(modelItem => dsSuCo.SuCoID)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => dsSuCo.NgaySayRaSuCo)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => @dsSuCo.MoTaSuCo)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => @dsSuCo.CachKhacPhuc)
                                                    @*<a href="@Url.Action("ViewCachkhacphucHistory", "ThongtinSuCoes", new { id = dsSuCo.SuCoID })" style="color: #FFC107">
                                                        <i class="fas fa-history">
                                                        </i>
                                                    </a>*@
                                                </td>
                                                @*@if (DHT.ToString() == @dsSuCo.TrangThaiXuLy)
                                                {
                                                    <td><span class="status text-success">&bull;</span>Đã hoàn thành</td>
                                                }
                                                else if (CXL.ToString() == @dsSuCo.TrangThaiXuLy)
                                                {
                                                    <td><span class="status text-danger">&bull;</span>Chưa xử lý</td>
                                                }
                                                else if (DSC.ToString() == @dsSuCo.TrangThaiXuLy)
                                                {
                                                    <td><span class="status text-info">&bull;</span>Đang sửa chữa</td>
                                                }
                                                else
                                                {
                                                    <td><span class="status text-warning">&bull;</span>Khác</td>
                                                }*@
                                                <td> @dsSuCo.TrangThaiXuLy</td>

                                                <td style="text-align:center">
                                                    <a href="javascript:EditSuCo(@dsSuCo.SuCoID)" style="color: #FFC107">
                                                        <span class="fa-solid fa-pencil">
                                                        </span>
                                                    </a>
                                                    @*<a class="fa-solid fa-eye" onclick="DetailsSuCo(@dsSuCo.SuCoID)" id="DetailsSuCo" title="Xem chi tiết"> </a>*@
                                                    <a href="@Url.Action("Details", "ThongtinSuCoes", new { id = @dsSuCo.SuCoID })" style="color: #428bca">
                                                        <i class="fa-solid fa-eye">
                                                        </i>
                                                    </a>

                                                    <a href="javascript:AddNewUpload(@dsSuCo.SuCoID)" style="color: #428bca">
                                                        <span class="fa fa-cloud-upload" @*title="Thêm file"*@>
                                                        </span>
                                                    </a>
                                                    @if (Session["role"] != null)
                                                    {
                                                        if (Session["role"].ToString().Contains("Admin"))
                                                        {
                                                            <a href="javascript:XoaSuCo(@dsSuCo.SuCoID)" style="color: #E34724">
                                                                <span class="fa fa-trash">
                                                                </span>
                                                            </a>

                                                        }
                                                    }
                                                </td>

                                            </tr>
                                        }

                                    </table>
                                </li>
                            </ul>
                        }

                    </li>
                </ul>
            </li>

        }


    </ul>

</div>
@*popup edit nhật ký*@
<div class="modal fade" id="myModal" role="dialog" @*data-url="@Url.Action("PopupEditNhatKy", "Nhatkyvanhanhs")"*@></div>
<div class="modal fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false"></div>
<div class="modal fade" id="upload-avatar" tabindex="-1" role="dialog" aria-labelledby="upload-avatar-title" aria-hidden="true"></div>
<div class="modal fade" id="myModal_editSuCo" role="dialog"></div>
<div class="modal fade" id="upload-file" tabindex="-1" role="dialog" aria-labelledby="upload-avatar-title" aria-hidden="true"></div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>


<script type="text/javascript">

    //$(document).ready(function () {
    //    $('.btn-block').click(function () {
    //        //var url = $('#myModal').data('url');
    //        var url = '/Nhatkyvanhanhs/PopupEditNhatKy?idNhatKy=' + 1
    //        $.get(url, function (data) {
    //            $('#myModal').html(data);
    //            $('#myModal').modal('show');
    //        });

    //    });

    //});
    function EditNhatKyVanHanh(idNhatKy) {
        var url = '/Nhatkyvanhanhs/PopupEditNhatKy?idNhatKy=' + idNhatKy;
        $.get(url, function (data) {
            $('#myModal').html(data);
            $('#myModal').modal('show');
        });
    }
    function DetailsSuCo(SuCoID) {
        var url = '/ChiTietSuCoes/Partial_ChiTiet?idSuCoID=' + SuCoID;
        debugger;
        $.get(url, function (data1) {
            $('#myModal2').html(data1);
            debugger;
            $('#myModal2').modal('toggle');
        });
    }
    function AddNewUpload(SuCoID) {
        var url = '/ThongtinSuCoes/PopupUploadFile?idSuCoID=' + SuCoID;
        $.get(url, function (data2) {
            $('#upload-file').html(data2);
            $('#upload-file').modal('toggle');
        });
    }
</script>
<script>
    var toggler = document.getElementsByClassName("create-DSNhatKyVanHanh-caret");
    var i;

    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.parentElement.querySelector(".create-DSNhatKyVanHanh-nested").classList.toggle("active-DSNhatKyVanHanh");
            this.classList.toggle("caret-down-DSNhatKyVanHanh");
        });
    }

    function EditSuCo(idSuCo) {
        debugger;
        var url = '/ThongtinSuCoes/PopupEditThongTinSuCo?idSuCo=' + idSuCo;
        $.get(url, function (data) {
            $('#myModal_editSuCo').html(data);
            $('#myModal_editSuCo').modal('show');
        });
    }
    function XoaSuCo(idSuCo) {
        $.ajax({
            type: "post",
            url: "/ThongtinSuCoes/DeleteSuCo",
            data: { id_SuCo: idSuCo },//model,
            datatype: "json",
            cache: false,
            success: function (data) {
                if (data.isvalid == false) {
                    toastr.warning(data.mess)
                } else {
                    toastr.success(data.mess);
                    setTimeout(function () {
                        location.reload()
                    }, 500);
                }
            },
            error: function (xhr) {

                //toastr.success("Thành công");
                //toastr.warning('My name is Inigo Montoya. You killed my father, prepare to die!');
                //toastr.info('My name is Inigo Montoya. You killed my father, prepare to die!')
                toastr.error('Đã có lỗi xảy ra!')
            }
        });

    }
    function DeleteNhatKyVanHanh(idNhatKy) {
        $.ajax({
            type: "post",
            url: "/Nhatkyvanhanhs/DeleteNhatKy",
            data: { idNhatKy: idNhatKy },//model,
            datatype: "json",
            cache: false,
            success: function (data) {
                if (data.code === 1) {
                    window.location = '/Login/LoginIndex';
                }
                if (data.isvalid == false) {
                    toastr.warning(data.mess)
                } else {
                    toastr.success(data.mess);
                    setTimeout(function () {
                        location.reload()
                    }, 500);
                }
            },
            error: function (xhr) {
                toastr.error('Đã có lỗi xảy ra!')
            }
        });
    }
</script>
